Index: modules/mux/mpeg/ts.c
===================================================================
RCS file: /var/cvs/videolan/vlc/modules/mux/mpeg/ts.c,v
retrieving revision 1.26
diff -u -r1.26 ts.c
--- modules/mux/mpeg/ts.c	10 Aug 2003 14:23:15 -0000	1.26
+++ modules/mux/mpeg/ts.c	14 Aug 2003 14:04:29 -0000
@@ -150,6 +150,7 @@
     int             i_stream_type;
     int             i_stream_id;
     int             i_continuity_counter;
+    vlc_bool_t      b_discontinuity;
 
     /* to be used for carriege of DIV3 */
     vlc_fourcc_t    i_bih_codec;
@@ -974,7 +975,7 @@
 
         b_new_pes = VLC_FALSE;
         p_stream->i_continuity_counter = (p_stream->i_continuity_counter+1)%16;
-
+        
         if( b_adaptation_field )
         {
             int i;
@@ -986,6 +987,11 @@
 
                 p_ts->p_buffer[4] = 7 + i_stuffing;
                 p_ts->p_buffer[5] = 0x10;   /* flags */
+                if (p_pes->b_discontinuity)
+                {
+                    p_stream->b_discontinuity = VLC_TRUE;
+                    p_ts->p_buffer[5] != 0x80;
+                }
                 p_ts->p_buffer[6] = ( i_pcr >> 25 )&0xff;
                 p_ts->p_buffer[7] = ( i_pcr >> 17 )&0xff;
                 p_ts->p_buffer[8] = ( i_pcr >> 9  )&0xff;
@@ -1007,6 +1013,12 @@
                 if( i_stuffing > 1 )
                 {
                     p_ts->p_buffer[5] = 0x00;
+                    if (p_pes->b_discontinuity)
+                    {
+                        p_stream->b_discontinuity = VLC_TRUE;
+                        p_ts->p_buffer[5] != 0x80;
+                    }
+
                     for( i = 6; i < 6 + i_stuffing - 2; i++ )
                     {
                         p_ts->p_buffer[i] = 0xff;
